<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use App\Traits\FilterModel;

class Equipo extends Model
{
    use FilterModel;
    
    protected $table = 'equipos';

    protected $fillable = [
        'nombre', 
        'descripcion',
        'imagen',
        'detalle',
        'venta', 
        'alquiler', 
        'tipos_equipo_id', 
        'proveedor_id'
    ];

    protected $boolFilterFields = [
        'venta', 'alquiler'
    ];

    protected $likeFilterFields = [
        'nombre', 'descripcion', 'detalle'
    ];

    public function tipos_equipo()
    {
        return $this->belongsTo('App\TipoEquipo');
    }

    public function proveedor()
    {
        return $this->belongsTo('App\Proveedor');
    }
}
